Page MenuHomePhabricator

MinervaNeue icons standardization
Closed, ResolvedPublic

Description

Right now, MinervaNeue is still featuring outdated icons in several places:

  • search uses a thinner line stroke than standard icon, see T213580
  • bell for notifications

vs
Immediately visible is different icon shape. We should be careful with outline vs filled here not over-emphasizing the bell visually too much, and probably consider inventing an outline version of 'bell' for this.

  • edit uses different size than OOUI's edit (thicker), compare to editLocked

  • login, not part of WikimediaUI icon set, not aligned
  • log out, not part of the WikimediaUI icon set yet and also thinner line-stroke
  • user and IP user are not aligned to DSG icon guidelines

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2019, 10:37 PM
Volker_E updated the task description. (Show Details)Apr 3 2019, 3:05 AM
Volker_E added a subscriber: alexhollender.EditedApr 25 2019, 6:23 PM

@alexhollender, this was the task I was referring to for the notification icon in the AMC icons review discussion.

Volker_E updated the task description. (Show Details)Apr 26 2019, 9:05 AM
Volker_E updated the task description. (Show Details)Apr 26 2019, 10:04 AM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: Jdrewniak.
alexhollender triaged this task as Normal priority.May 22 2019, 1:20 AM
alexhollender moved this task from Needs analysis to Queue on the Readers-Web-Backlog (Design) board.

@Volker_E thanks for creating this. Just a note that currently Notifications is the highest priority for us as stated in T224070. I will continue pushing for the rest of these changes as time permits.

I think this is “resolved” now, correct @alexhollender? :)

alexhollender added a comment.EditedOct 9 2019, 8:41 PM

I think this is “resolved” now, correct @alexhollender? :)

Yes : )

Volker_E closed this task as Resolved.Oct 9 2019, 9:09 PM
Volker_E assigned this task to alexhollender.